Bug 153180 - Compile of /usr/ports/editors/openoffice.org-3 fails
Summary: Compile of /usr/ports/editors/openoffice.org-3 fails
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-openoffice (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-12-15 15:50 UTC by Porter Smith
Modified: 2011-03-18 10:17 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Porter Smith 2010-12-15 15:50:07 UTC
/usr/ports/editors/openoffice.org-3 fails to compile from source 


porter# cd /usr/ports/editros/openoffice.org-3
/usr/ports/editros/openoffice.org-3: No such file or directory.
porter# cd /usr/ports/editors/openoffice.org-3
porter# make install WITHOUT_MOZILLA
===>   openoffice.org-3.2.1 depends on executable: zip - found
===>   openoffice.org-3.2.1 depends on file: /usr/local/bin/unzip - found
===>   openoffice.org-3.2.1 depends on executable: gcp - found
===>   openoffice.org-3.2.1 depends on executable: gpatch - found
===>   openoffice.org-3.2.1 depends on file: /usr/local/lib/perl5/site_perl/5.10.1/Archive/Zip.pm - found
===>   openoffice.org-3.2.1 depends on executable: bash - found
===>   openoffice.org-3.2.1 depends on executable: imake - found
===>   openoffice.org-3.2.1 depends on executable: gtar - found
===>   openoffice.org-3.2.1 depends on file: /usr/local/bin/gperf - found
===>   openoffice.org-3.2.1 depends on executable: ant - not found
===>    Verifying install for ant in /usr/ports/devel/apache-ant
===>  Installing for apache-ant-1.8.1
===>   apache-ant-1.8.1 depends on executable: classpath - found
===>   apache-ant-1.8.1 depends on file: /usr/local/jdk1.6.0/bin/java - not found
===>    Verifying install for /usr/local/jdk1.6.0/bin/java in /usr/ports/java/jdk16
===>  Vulnerability check disabled, database not found
===>  License check disabled, port has not defined LICENSE
===>  Found saved configuration for jdk-1.6.0.3p4_15

IMPORTANT: To build the JDK 1.6.0 port, you should have at least
2.5Gb of free disk space in the build area!

===>  Extracting for jdk-1.6.0.3p4_20
=> SHA256 Checksum OK for jdk-6u3-fcs-src-b05-jrl-24_sep_2007.jar.
=> SHA256 Checksum OK for jdk-6u3-fcs-bin-b05-jrl-24_sep_2007.jar.
=> SHA256 Checksum mismatch for jdk-6u3-fcs-mozilla_headers-b05-unix-24_sep_2007.jar.
=> SHA256 Checksum OK for bsd-jdk16-patches-4.tar.bz2.
=> SHA256 Checksum OK for tzupdater-1_3_34-2010o.zip.
===>  Refetch for 1 more times files: jdk-6u3-fcs-mozilla_headers-b05-unix-24_sep_2007.jar 
===>  Vulnerability check disabled, database not found
===>  License check disabled, port has not defined LICENSE
===>  Found saved configuration for jdk-1.6.0.3p4_15

IMPORTANT: To build the JDK 1.6.0 port, you should have at least
2.5Gb of free disk space in the build area!

=> jdk-6u3-fcs-mozilla_headers-b05-unix-24_sep_2007.jar doesn't seem to exist in /usr/ports/distfiles/.
=> Attempting to fetch from ftp://ftp.FreeBSD.org/pub/FreeBSD/ports/distfiles/.
fetch: ftp://ftp.FreeBSD.org/pub/FreeBSD/ports/distfiles/jdk-6u3-fcs-mozilla_headers-b05-unix-24_sep_2007.jar: File unavailable (e.g., file not found, no access)
=> Couldn't fetch it - please try to retrieve this
=> port manually into /usr/ports/distfiles/ and try again.
*** Error code 1

Stop in /usr/ports/java/jdk16.
*** Error code 1

Stop in /usr/ports/java/jdk16.
*** Error code 1

Stop in /usr/ports/java/jdk16.
*** Error code 1

Stop in /usr/ports/devel/apache-ant.
*** Error code 1

Stop in /usr/ports/editors/openoffice.org-3.

Fix: 

Download thge  folowing files one by one and place them in the /usr/portd/distfiles directory.

jce_policy-6.zip					
jdk-6u3-fcs-bin-b05-jrl-24_sep_2007.jar
diablo-caffe-freebsd7-i386-1.6.0_07-b02.tar.bz2
tzupdater-1_3_34-2010o.zip
jtreg-4_0-bin-b03-31_mar_2009.zip
jdk-6u3-fcs-src-b05-jrl-24_sep_2007.jar

jdk-6u3-fcs-mozilla_headers-b05-unix-24_sep_2007.jar

below is the address for the  java and mozilla header file source archives
http://download.java.net/jdk6/6u3/
How-To-Repeat: issue the following command several times with out listening ti the directions listed after the first failed installation attempt.
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2010-12-20 08:49:59 UTC
Responsible Changed
From-To: freebsd-i386->openoffice

reclassify.
Comment 2 Martin Wilke freebsd_committer 2011-03-18 10:17:07 UTC
State Changed
From-To: open->closed

please read the output. this is not really a bug